################################################################################
#
# Package source RPM specification template.
# Copyright (c) 2002-2006 Oak Ridge National Laboratory.
#
# For more information see the following files in the source distribution top-
# level directory or package data directory (usually /usr/local/share/package):
#
# - README    for general package information.
# - INSTALL   for package install information.
# - COPYING   for package license information and copying conditions.
# - AUTHORS   for package authors information.
# - ChangeLog for package changes information.
#
# Process the '.in' file with `configure` or `autogen.sh` from the distribution
# top-level directory to create the target file.
#
################################################################################

# Redefine default dirs.
%define _srcrpmdir /home/engelman/data/share/harness/devel/harness-2.0
%define _sourcedir /home/engelman/data/share/harness/devel/harness-2.0

# Package information.
Name:      harness
Version:   2.0
Release:   b0
Source:    harness-2.0.b0.tar.bz2
BuildRoot: %{_tmppath}/harness-2.0-buildroot
Summary:   The Harness metacomputing software distribution.
License:   HARNESS
Group:     Development

%description
The research in heterogeneous, adaptable, reconfigurable, networked systems (Harness) is a collaborative effort among Oak Ridge National Laboratory, University of Tennessee Knoxville and Emory University. It focuses on the design and development of a pluggable, lightweight, heterogeneous metacomputing environment, where clusters of PCs, workstations, and big iron supercomputers can be aggregated to form one giant distributed virtual machine (DVM) (in the spirit of its widely-used predecessor, the Parallel Virtual Machine (PVM).

# Build stage of source RPM.
%build
cd %{_tmppath}
bzip2 -d %{_topdir}/SOURCES/harness-2.0.b0.tar.bz2
tar -xf %{_topdir}/SOURCES/harness-2.0.b0.tar
cd harness-2.0
./configure
make

# Install stage of source RPM.
%install
cd %{_tmppath}/harness-2.0
make DESTDIR=%{buildroot} install
cd %{buildroot}
find -type f | sed s/\\.//  >%{_tmppath}/harness-2.0.rpmfiles
find -type l | sed s/\\.// >>%{_tmppath}/harness-2.0.rpmfiles

# Clean stage of source RPM.
%clean
rm -f  %{_topdir}/SOURCES/harness-2.0.b0.tar
rm -f  %{_tmppath}/harness-2.0.rpmfiles
rm -fr %{_tmppath}/harness-2.0
rm -fr %{buildroot}

# Import file list and set default attributes for binary RPM.
%files -f %{_tmppath}/harness-2.0.rpmfiles
%defattr(-,root,root)

# Execute ldconfig after install and uninstall of binary RPM.
%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

################################################################################
#
# End of file.
#
################################################################################
